curl --request POST \
--url 'https://api.brightdata.com/datasets/v3/scrape?dataset_id=gd_ltppn085pokosxh13&include_errors=true' \
--header "Authorization: Bearer YOUR_API_KEY" \
--header "Content-Type: application/json" \
--data '{"input": [{"url": "https://www.instagram.com/cats_of_instagram/reel/C4GLo_eLO2e/"}, {"url": "https://www.instagram.com/catsofinstagram/p/CesFC7JLyFl/?img_index=1"}, {"url": "https://www.instagram.com/cats_of_instagram/reel/C2TmNOVMSbG/"}]}'[
{
"url": "https://www.instagram.com/nato",
"comment_user": "met***han***r",
"comment_user_url": "https://www.instagram.com/metlushanigor",
"comment_date": "2026-03-14T01:13:08.000Z",
"comment": "В реальних бойових діях ці танки за 5 хвилин будуть знищені,а солдати ще менше проживуть. Ви відстає НАТО на пʼять років",
"likes_number": 0,
"replies_number": 0,
"replies": null,
"hashtag_comment": null,
"tagged_users_in_comment": null,
"post_url": "https://www.instagram.com/p/DVyB2KkjS07/",
"post_user": "******",
"comment_id": "18168596065410257",
"post_id": "3851148751604100411_985168596"
}
]
Instagram
Collect Instagram comments by URL
Use the Bright Data Web Scraper API to collect Instagram comments by URL. Calls the POST /datasets/v3/scrape endpoint and returns a snapshot ID.
POST
/
datasets
/
v3
/
scrape
curl --request POST \
--url 'https://api.brightdata.com/datasets/v3/scrape?dataset_id=gd_ltppn085pokosxh13&include_errors=true' \
--header "Authorization: Bearer YOUR_API_KEY" \
--header "Content-Type: application/json" \
--data '{"input": [{"url": "https://www.instagram.com/cats_of_instagram/reel/C4GLo_eLO2e/"}, {"url": "https://www.instagram.com/catsofinstagram/p/CesFC7JLyFl/?img_index=1"}, {"url": "https://www.instagram.com/cats_of_instagram/reel/C2TmNOVMSbG/"}]}'[
{
"url": "https://www.instagram.com/nato",
"comment_user": "met***han***r",
"comment_user_url": "https://www.instagram.com/metlushanigor",
"comment_date": "2026-03-14T01:13:08.000Z",
"comment": "В реальних бойових діях ці танки за 5 хвилин будуть знищені,а солдати ще менше проживуть. Ви відстає НАТО на пʼять років",
"likes_number": 0,
"replies_number": 0,
"replies": null,
"hashtag_comment": null,
"tagged_users_in_comment": null,
"post_url": "https://www.instagram.com/p/DVyB2KkjS07/",
"post_user": "******",
"comment_id": "18168596065410257",
"post_id": "3851148751604100411_985168596"
}
]
Query Parameters
string
default:"gd_ltppn085pokosxh13"
required
The dataset ID used for this request.
Must be set to
gd_ltppn085pokosxh13 to collect Comments by URL data.boolean
default:false
Whether to send notifications when the request is completed.
boolean
default:true
Whether to include errors in the response.
Request Body
object[]
required
An array of input objects.
Show properties
Show properties
string
required
Input specific post url to get the latest 15 comments
Example
{
"input": [
{"url":"https://www.instagram.com/cats_of_instagram/reel/C4GLo_eLO2e/"},
{"url":"https://www.instagram.com/catsofinstagram/p/CesFC7JLyFl/?img_index=1"},
{"url":"https://www.instagram.com/cats_of_instagram/reel/C2TmNOVMSbG/"}
]
}
[
{
"url": "https://www.instagram.com/nato",
"comment_user": "met***han***r",
"comment_user_url": "https://www.instagram.com/metlushanigor",
"comment_date": "2026-03-14T01:13:08.000Z",
"comment": "В реальних бойових діях ці танки за 5 хвилин будуть знищені,а солдати ще менше проживуть. Ви відстає НАТО на пʼять років",
"likes_number": 0,
"replies_number": 0,
"replies": null,
"hashtag_comment": null,
"tagged_users_in_comment": null,
"post_url": "https://www.instagram.com/p/DVyB2KkjS07/",
"post_user": "******",
"comment_id": "18168596065410257",
"post_id": "3851148751604100411_985168596"
}
]
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Query Parameters
Must be gd_ltppn085pokosxh13 for this dataset.
Send notifications when the request is completed.
Include errors in the response.
Body
application/json
Array of input objects. See Request Body below for the supported fields.
Show child attributes
Show child attributes
Response
200 - application/json
OK. See response example below the parameters.
Was this page helpful?